

// A function to handle "secondary" checkboxes
function secondaryCheckboxes(qID, primaryPosition, secondaryCount) {
	// Identify the elements
	var thisQuestion = $('#question'+qID);
	var primaryRow = $('li.question-item:eq('+(primaryPosition-1)+')', thisQuestion);
	var primaryInput = $('input.checkbox', primaryRow);
	var secondaryRows = primaryRow.nextAll('li.question-item:lt('+(secondaryCount)+')');
	var secondaryInputs = $('input.checkbox', secondaryRows);
	
	// Indent the secondaries
	secondaryRows.css({ 'margin-left':'2.5em' });
	
	// Initial states of the secondary answers
	if (primaryInput.prop('checked') == false ) {
		secondaryRows.hide(); 
	} 
	
	// A listener on the primary answer to show or hide secondary answers 
	primaryInput.click(function (event) { 
		
		// Hide/show the secondary answers accordingly
		if (!$(this).is(':checked')) {
			secondaryRows.hide();				
			secondaryInputs.prop('checked', false);
			secondaryInputs.each(function(i) {
				checkconditions(this.value, this.name, this.type);
			});
		}
		else {
			secondaryRows.show(); 
		}
	});
}
